cURL
curl --request POST \ --url https://api.crypto-cash.world/merchant/api/v1/balance/payments/list/ \ --header 'Content-Type: application/json' \ --data ' { "data": "<string>", "signature": "<string>" } '
{ "code": 200, "data": { "items": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "pair": "USDT/USDT", "usdtTotal": "<string>", "network": "<string>", "hash": "<string>", "amount": "<string>", "commission": "<string>", "address": "<string>", "exchangeRate": "<string>", "networkFee": "<string>", "externalId": "<string>", "transactionType": "Buy", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "status": "Queued", "balanceEntries": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "updatedAt": "2023-11-07T05:31:56Z", "currency": "<string>", "requestedCurrency": "<string>", "exchangeRate": "<string>", "requestedAmount": "<string>", "feeAmount": "<string>", "amount": "<string>", "hash": "<string>", "direction": "IN" } ] } ], "pagination": { "page": 123, "total": 123, "pageSize": 123 } } }
Повертає список транзакцій з пагінацією та фільтрацією
Параметри даних:
JSON-об'єкт з параметрами запиту, закодований у base64
Підпис SHA256(SECRET_KEY + data), закодований у base64
Успішна відповідь
200
Показати дочірні атрибути